Add SID field to search index schema and populate the field
Status: Closed Start date: 2015-01-06

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

New search index field and provide logic to populate the field.

Potentially add SID value to the 'identifier' field so that both SID and PID are present in the identifier field to support queries against

either value against the same field.

History

#1 - 2015-01-06 17:23 - Skye Roseboom

- Description updated

#2 - 2015-01-06 18:26 - Matthew Jones

I would prefer to NOT add the SID field to the current identifier field that contains exclusively PIDs.  We need a field in the index that will reliably give

the PID for any object, and all objects will still have a PID in the new system.  If we need a combined field with PID and SID, I think we should create it

as a new field.  Many calling apps may now assume the identifier field contains the PID, and so changing its semantics could break some client apps. 

Adding a new field would not.

#3 - 2015-02-03 18:37 - Skye Roseboom

- Parent task deleted (#6716)

#4 - 2015-02-03 18:37 - Skye Roseboom

- translation missing: en.field_release set to 2

- Tracker changed from Task to Feature

#5 - 2015-06-30 15:29 - Skye Roseboom

- Target version set to CCI-2.0-RC1

#6 - 2015-06-30 15:53 - Skye Roseboom

- % Done changed from 0 to 30

- Status changed from New to In Progress

#7 - 2015-07-01 16:20 - Dave Vieglais

- Target version changed from CCI-2.0-RC1 to CCI-2.0.0

#8 - 2015-07-16 19:52 - Skye Roseboom

- % Done changed from 30 to 100

- Status changed from In Progress to Closed
